org.mariadb.jdbc.internal.common.query

## Class MySQLQuery

- java.lang.Object
- - org.mariadb.jdbc.internal.common.query.MySQLQuery

All Implemented Interfaces:
  Query

    public class MySQLQuery
    extends Object
    implements Query

### Constructor Summary

Constructors
Constructor and Description
`MySQLQuery(String query)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object otherObj)`
`String` `getQuery()`
`QueryType` `getQueryType()`
`String` `toString()`
`void` `validate()`
`void` `writeTo(OutputStream os)`
`void` `writeTo(OutputStream ostream, int offset, int packLength)`
`void` `writeToRewritablePart(OutputStream os, int rewriteOffset)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MySQLQuery

    public MySQLQuery(String query)

### Method Detail

#### writeTo

    public void writeTo(OutputStream os)
                 throws IOException

Specified by:
  `writeTo` in interface `Query`
Throws:
  `IOException`

#### writeToRewritablePart

    public void writeToRewritablePart(OutputStream os,
                                      int rewriteOffset)
                               throws IOException,
                                      QueryException

Specified by:
  `writeToRewritablePart` in interface `Query`
Throws:
  `IOException`
  `QueryException`

#### getQuery

    public String getQuery()

Specified by:
  `getQuery` in interface `Query`

#### getQueryType

    public QueryType getQueryType()

Specified by:
  `getQueryType` in interface `Query`

#### equals

    public boolean equals(Object otherObj)

Overrides:
  `equals` in class `Object`

#### writeTo

    public void writeTo(OutputStream ostream,
                        int offset,
                        int packLength)
                 throws IOException

Throws:
  `IOException`

#### validate

    public void validate()
                  throws QueryException

Specified by:
  `validate` in interface `Query`
Throws:
  `QueryException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`